<?php

$m->set('title', _("Log in"));

$c = &$m->add(new Horde_Mobile_card());

$l->setMobileObject($c);
$notification->notify(array('listeners' => 'status'));

$c->add(new Horde_Mobile_text(sprintf(_("Welcome to %s"), ($mimp_auth) ? $registry->get('name', 'horde') : $registry->get('name'))));

$f = &$c->add(new Horde_Mobile_form(Horde::applicationUrl('redirect.php', false, -1)));
$f->add(new Horde_Mobile_input('imapuser', Util::getFormData('imapuser'), _("Username")));

$p = &$f->add(new Horde_Mobile_input('pass', '', _("Password")));
$p->set('type', 'password');

$f->add($server_select);
if ($conf['server']['change_server']) {
    $f->add(new Horde_Mobile_input('server', Util::getFormData('server'), _("Server")));
    if ($conf['server']['change_port']) {
        $f->add(new Horde_Mobile_input('port', Util::getFormData('port'), _("Port")));
    }
    if ($conf['server']['change_protocol']) {
        $protocol_select = &new Horde_Mobile_select('protocol');
        $protocol_select->add('IMAP', 'imap');
        $protocol_select->add(_("IMAP, no TLS"), 'imap/notls');
        $protocol_select->add(_("IMAP over SSL"), 'imap/ssl');
        $protocol_select->add(_("IMAP over SSL (self-signed)"), 'imap//ssl/novalidate-cert');
        $protocol_select->add('POP3', 'pop3');
        $protocol_select->add(_("POP3 over SSL (self-signed)"), 'pop3/ssl/novalidate-cert');
        $f->add($protocol_select);
    }
}
$f->add(new Horde_Mobile_submit(_("Log in")));
if (!empty($actionID)) {
    $f->add(new Horde_Mobile_hidden('actionID', $actionID));
}
$m->add($f);
